import 'package:flutter/material.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixFooterPage extends StatefulWidget {
  const PhoenixFooterPage({Key? key}) : super(key: key);

  @override
  State<PhoenixFooterPage> createState() => _PhoenixFooterPageState();
}

class _PhoenixFooterPageState extends State<PhoenixFooterPage> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          title: const Text('Phoenix Footer Sample App'),
        ),
        body: const Padding(
          padding: EdgeInsets.all(16),
          child: PhoenixFooter(
            title: "Sample Footer",
            url:
                "https://images.contentstack.io/v3/assets/blt2a130c768c36b9df/blt5f384c7eb51e7cff/5f7d972ddf178b0ea98488e1/banner_sadaqah.jpg?auto=webp",
          ),
        ));
  }
}
